Loading...
Searching...
No Matches
svn_io_dirent2_t Struct Reference

A set of directory entry data elements as returned by svn_io_get_dirents. More...

`#include <svn_io.h>`

## Data Fields

svn_node_kind_t | kind
| The kind of this entry.
svn_boolean_t | special
| If `kind` is svn_node_file, whether this entry is a special file; else FALSE.
svn_filesize_t | filesize
| The filesize of this entry or undefined for a directory.
apr_time_t | mtime
| The time the file was last modified.

## Detailed Description

A set of directory entry data elements as returned by svn_io_get_dirents.

Note that the first two fields are exactly identical to svn_io_dirent_t to allow returning a svn_io_dirent2_t as a svn_io_dirent_t.

Use svn_io_dirent2_create() to create new svn_dirent2_t instances or svn_io_dirent2_dup() to duplicate an existing instance.

Since
  New in 1.7.

Definition at line 78 of file svn_io.h.

## Field Documentation

## filesize

svn_filesize_t svn_io_dirent2_t::filesize

The filesize of this entry or undefined for a directory.

Definition at line 92 of file svn_io.h.

## kind

svn_node_kind_t svn_io_dirent2_t::kind

The kind of this entry.

Definition at line 82 of file svn_io.h.

## mtime

apr_time_t svn_io_dirent2_t::mtime

The time the file was last modified.

Definition at line 95 of file svn_io.h.

## special

svn_boolean_t svn_io_dirent2_t::special

If `kind` is svn_node_file, whether this entry is a special file; else FALSE.

See also
  svn_io_check_special_path().

Definition at line 89 of file svn_io.h.

The documentation for this struct was generated from the following file:

- svn_io.h